Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

When a new custom querry is created without 'Default columns', and customs columns are chosen, those chosen columns are

ignored by the PDF exporter - it simply outputs the default columns.

Related issues:

Related to Redmine - Patch #3614: Export to PDF/CSV ignoring custom queries a... Closed 2009-07-14

Related to Redmine - Feature #1141: PDF customization Closed 2008-04-29

Has duplicate Redmine - Feature #2204: When creating PDF of the issue list us... Closed 2008-11-17

Associated revisions

Revision 2841 - 2009-08-17 16:08 - Jean-Philippe Lang

Use selected columns in the issues PDF export (#1190).

History

#1 - 2008-05-06 19:50 - Leszek Ciesielski

Also, any polish characters in the issue description are presented in PDF as '??'.

#2 - 2008-08-13 14:23 - Curtis Stewart

+1

We are running into the also. We have the custom queries and for some customers we can just send the URL to the custom query. But for others we

like to send a copy of the PDF. We now have to reorder and filter the standard issues report for each customer. It would be much simpler to just save

the custom query and then export it to a PDF when we do weekly reporting.

#3 - 2008-08-13 16:00 - Wayne Simpson

This is a problem for us also.  I have a customer which is external to our organization and need to send a copy of hte PDF.  It only seems logical if we

create a query adn that is what is posted to the screen that is what should show up in the PDF.  Thanks for addressing this.

#4 - 2008-09-21 15:44 - M T

+1

A related problem is that the csv export is putting out more than what is displayed on screen, including columns that you might not wish the customer

to see?

I had a look at the PDF export code, and it's basically a hardwired fixed-layout report, functionally quite different architecture from the html view. I

wonder if this approach to doing pdf stuff in rails is a but cumbersome - are there any alternative methods available now?

#5 - 2008-09-22 07:11 - Ewan Makepeace

+1

I am also hitting the problem with CSV export that seems to include the issue body (or something).

#6 - 2008-12-05 01:23 - José Campos

+1

I would expect the export feature to export the table data exactly as it is presented in the table, not all issues with generic columns (at least, the

Export links' position is misleading).

#7 - 2008-12-15 14:37 - Michael Aye

+1
Important for contact with higher authorities that expect certain format from Project Managers

#8 - 2009-02-18 12:24 - Michael Aye

bump

can i help? could someone point me to the point in the code, where this is formatted?

#9 - 2009-02-24 14:33 - Nanda P

+1

I created a custom query without "Default columns" & tried to create a PDF report, In the PDF only the standard columns shows up.

How to create custom report in PDF?

Michael: looks like "app\views\issues\index.rfpdf" were the report is formatted.

#10 - 2009-03-02 22:52 - Peter Edstrom

+1

#11 - 2009-04-01 07:56 - Jason Milkins

+1

#12 - 2009-04-01 08:33 - Jason Milkins

Michael Aye wrote:

bump

can i help? could someone point me to the point in the code, where this is formatted?

 We're on 0.8.2 and the PDF code is in

lib/redmine/export/pdf.rb

 I am looking at the issue index.rhtml to see if there's any way a simple patch will do the trick.

#13 - 2009-04-01 08:36 - Jason Milkins

Jason Milkins wrote:

Michael Aye wrote:

bump

can i help? could someone point me to the point in the code, where this is formatted?

 We're on 0.8.2 and the PDF code is in

lib/redmine/export/pdf.rb

I am looking at the issue index.rhtml to see if there's any way a simple patch will do the trick.

 Ok, not something I can get my teeth into right now, but I hope to have time to play with it.

#14 - 2009-06-23 19:28 - Curtis Stewart

I see several different requests to make the columns in the PDF reflect the query and display of the HTML. I was wondering if this was going to be

addressed some time in the future, maybe 0.9.0 ;-)

This is the one request that I get most from my customers.

#15 - 2009-06-24 05:59 - Francis Chong

I have made some ugly hack to make Redmine use Ruport to export the data into CSV format with field selection and query details. Ruport can also

export into HTML, TXT, XML, PDF ... etc, but it will take some time to dig into the redmine Query model to make it generally work.

A shorter path perhaps are adding a XML export option, which allows report expert convert them into readable format like PDF?

#16 - 2009-07-14 17:26 - Alex Mendes Matt Keniston

We have developed a complete fix for this bug.
Check out http://www.redmine.org/issues/3614

#17 - 2009-07-19 07:09 - Abdul Nafay

Hi, i am new to Redmine. I need this feature bad but i dont know how to place this "export_issues_to_pdf_csv.diff" file in Redmine root directory. From

what i know i have to patch this .diff file with original. I am using TortoiseSVN but i can't file the original file to patch with. If i am not in the right

direction please point out and let me know how to exactly get this fix working. I am using windows btw.

Much Appreciated!

AN

#18 - 2009-08-17 18:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2841.
